/*
*   Prototypes for functions defined in util.c
*/
int strcmpu(char *, char *);
int strncmpu(char *, char *, int);
char *index(const char *, int);
char *rindex(const char *, int);
char *ltoa(char *, long);
char *strstr(const char *, const char *);
char *CAS(char *);
long checkargs(int, char **);
int DecodeAutoText(char *, char **, char *);
int MakeStem(char *, char *, int);
int MakeStemS(char *, char *, char *);
/*
*   Prototypes for functions defined in dispatch.c
*/
long  __stdargs __saveds RALDispatch(struct RexxMsg *, char **);
char *rxf_null(long *, int, char **);
/*
*   Prototypes for functions defined in createhost.c
*/
int whf_find(long *, int, char *);
char *rxf_createhost(long *, int, char **);
char *whf_null(struct HostParams *, int, char **);
char *whf_openwindow(struct HostParams *, int, char **);
char *whf_closewindow(struct HostParams *, int, char **);
int ch_makestr(struct HostParams *, char *, ULONG, USHORT, USHORT, char *, char *);
char *ch_classtoascii(ULONG);
char *ch_classtext(int);
int ch_classtoindex(ULONG);
ULONG ch_indextoclass(int);
/*
*   Prototypes for functions defined in simp.c
*/
char *rxf_getsimp(long *, int, char **);
char *rxf_postmsg(long *, int, char **);
/*
*   Prototypes for functions defined in env.c
*/
char *rxf_getenv(long *, int, char **);
char *rxf_setenv(long *, int, char **);
/*
*   Prototypes for functions defined in screens.c
*/
char *rxf_showtitle(long *, int, char **);
char *rxf_stofront(long *, int, char **);
char *rxf_stoback(long *, int, char **);
char *rxf_srows(long *, int, char **);
char *rxf_scols(long *, int, char **);
char *rxf_slace(long *, int, char **);
char *rxf_scolor(long *, int, char **);
char *rxf_sopen(long *, int, char **);
char *rxf_sclose(long *, int, char **);
char *rxf_smove(long *, int, char **);
char *rxf_getlist(long *, int, char **);
struct Screen *LockScreen(char *);
struct Screen *UnlockScreen(char *, struct Screen *);
/*
*   Prototypes for functions defined in message.c
*/
int SendPortMsg(char *, int, char **, struct MsgPort *);
char *rxf_sendp(long *, int, char **);
char *whf_sendp(long *, WORD, char **);
int HandlePortReply(struct RexxMsg *);
/*
*   Prototypes for functions defined in filelist.c
*/
char *rxf_filelist(long *, int, char **);
/*
*   Prototypes for functions defined in whfunctions.c
*/
char *whf_draw(struct HostParams *, int, char **);
char *whf_move(struct HostParams *, int, char **);
char *whf_text(struct HostParams *, int, char **);
char *whf_writepixel(struct HostParams *, int, char **);
char *whf_drawellipse(struct HostParams *, int, char **);
char *whf_drawcircle(struct HostParams *, int, char **);
char *whf_flood(struct HostParams *, int, char **);
char *whf_rectfill(struct HostParams *, int, char **);
char *whf_setrgb4(struct HostParams *, int, char **);
char *whf_setapen(struct HostParams *, int, char **);
char *whf_setbpen(struct HostParams *, int, char **);
char *whf_setopen(struct HostParams *, int, char **);
char *whf_setdrmd(struct HostParams *, int, char **);
char *whf_setdrpt(struct HostParams *, int, char **);
char *whf_areamove(struct HostParams *, int, char **);
char *whf_areadraw(struct HostParams *, int, char **);
char *whf_areaend(struct HostParams *, int, char **);
char *whf_areaellipse(struct HostParams *, int, char **);
char *whf_areacircle(struct HostParams *, int, char **);
char *whf_addgadget(struct HostParams *, int, char **);
APTR MakeGUData(char *, char *);
APTR FreeGUData(struct GUData *);
char *whf_removegadget(struct HostParams *, int, char **);
char *whf_refreshgadgets(struct HostParams *, int, char **);
char *whf_windowtext(struct HostParams *, int, char **);
char *whf_backfill(struct HostParams *, int, char **);
char *whf_modifyhost(struct HostParams *, int, char **);
char *whf_setnotify(struct HostParams *, int, char **);
char *whf_windowtoback(struct HostParams *, int, char **);
char *whf_windowtofront(struct HostParams *, int, char **);
char *whf_activatewindow(struct HostParams *, int, char **);
char *whf_setfont(struct HostParams *, int, char **);
char *whf_activategadget(struct HostParams *, int, char **);
char *whf_setgadget(struct HostParams *, int, char **);
char *whf_readgadget(struct HostParams *, int, char **);
char *whf_readhost(struct HostParams *, int, char **);
char *whf_addmenu(struct HostParams *, int, char **);
char *whf_remmenu(struct HostParams *, int, char **);
int freesmenu(struct Menu *);
char *whf_additem(struct HostParams *, int, char **);
char *whf_addsubitem(struct HostParams *, int, char **);
char *whf_setreqcolor(struct HostParams *, int, char **);
char *whf_setitem(struct HostParams *, int, char **);
char *whf_drawiff(struct HostParams *, int, char **);
/*
*   Prototypes for functions defined in filreq.c
*/
void frfunction(ULONG, struct NewWindow *);
char *rxf_getfile(long *, int, char **);
char *rxf_getfont(long *, int, char **);
void MakFilNam(char *, char *, char *);
/*
*   Prototypes for functions defined in drawiff.c
*/
int DrawIFF(char *,struct RastPort *, int, int, int, int, struct Screen *);
/*
*   Prototypes for functions defined in allocrastport.c
*/
struct RastPort *AllocRastPort(int, int, int);
struct RastPort *FreeRastPort(struct RastPort *);
/*
*   Prototypes for functions defined in syswbscr.c
*/
int GetWBRows(void);
int GetWBCols(void);
int GetWBLace(void);
/*
*   Prototypes for functions defined in areapolydraw.c
*/
int AreaPolyDraw(struct Window *, struct vtx *, int, int, int);
struct vtx *AddVertex(struct vtx *);
struct vtx *KillVertex(struct vtx *);
long AllocTmpRas(struct RastPort *, int, int);
long FreeTmpRas(struct RastPort *);
/*
*   Prototypes for functions defined in rxhtable.c
*/
int rxhtable_index(char *);
/*
*   Prototypes for functions defined in whhtable.c
*/
int whhtable_index(char *);
/*
*   Prototypes for functions defined in RexxVars.o
*/
//LONG __stdargs SetRexxVar(struct RexxMsg *, char *, char *, long);
//BOOL __stdargs CheckRexxMsg(struct RexxMsg *);

/*
 *	Support for changed names in iff.library recent versions.
 */
#include <iff.h>
IFFL_HANDLE IFFL_OldOpenIFF(char *);
#pragma libcall IFFBase IFFL_OldOpenIFF 1E 801
#define BitMapHeader IFFL_BMHD

/*
 * Custom malloc and free.
 */
extern void myfree(void *);
extern void *mymalloc(size_t);
